Bug 811559

Summary: sis900: WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d6/0x1e0()
Product: [Fedora] Fedora Reporter: stephen
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: gansalmon, itamar, jd1008, jforbes, jonathan, kernel-maint, madhu.chinakonda, nanopath
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:e0e0601f494bfb65b9fb06374a63b5f37dfb97c8
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-14 10:32:39 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 702723    

Description stephen 2012-04-11 08:29:22 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.6-3.fc16.i686.PAE root=/dev/mapper/vg_tulesein-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 rd.lvm.lv=vg_tulesein/lv_swap rd.lvm.lv=vg_tulesein/lv_root LANG=en_US.UTF-8
comment:        Random occurrence.  Machine is used as a firewall
kernel:         3.2.6-3.fc16.i686.PAE
reason:         [442661.008042] WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d6/0x1e0()
time:           Wed 22 Feb 2012 02:28:41 PM EST

backtrace:
:[442661.008042] WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d6/0x1e0()
:[442661.008045] Hardware name: System Name
:[442661.008048] NETDEV WATCHDOG: em1 (sis900): transmit queue 0 timed out
:[442661.008050] Modules linked in: tcp_lp xt_TCPMSS xt_limit nf_nat_irc nf_nat_ftp iptable_nat iptable_mangle ipt_LOG ipt_MASQUERADE nf_nat xt_DSCP nf_conntrack_irc nf_conntrack_ftp nf_conntrack_ipv4 nf_defrag_ipv4 fuse lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device ppdev snd_pcm parport_pc e100 snd_timer sis900 snd mii parport ns558 i2c_sis96x soundcore snd_page_alloc microcode gameport uinput sunrpc pata_acpi ata_generic pata_sis nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wmi video [last unloaded: scsi_wait_scan]
:[442661.008117] Pid: 0, comm: swapper/0 Not tainted 3.2.6-3.fc16.i686.PAE #1
:[442661.008120] Call Trace:
:[442661.008131]  [<c045e352>] warn_slowpath_common+0x72/0xa0
:[442661.008136]  [<c0862516>] ? dev_watchdog+0x1d6/0x1e0
:[442661.008141]  [<c0862516>] ? dev_watchdog+0x1d6/0x1e0
:[442661.008145]  [<c045e423>] warn_slowpath_fmt+0x33/0x40
:[442661.008150]  [<c0862516>] dev_watchdog+0x1d6/0x1e0
:[442661.008163]  [<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
:[442661.008168]  [<c046c246>] run_timer_softirq+0xf6/0x2e0
:[442661.008174]  [<c04829ff>] ? sched_clock_cpu+0xcf/0x150
:[442661.008179]  [<c0862340>] ? qdisc_reset+0x40/0x40
:[442661.008183]  [<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
:[442661.008187]  [<c0464ee1>] __do_softirq+0x91/0x1c0
:[442661.008191]  [<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
:[442661.008194]  <IRQ>  [<c046523e>] ? irq_exit+0x7e/0xa0
:[442661.008203]  [<c042e5b9>] ? smp_apic_timer_interrupt+0x59/0x90
:[442661.008210]  [<c093cfa9>] ? apic_timer_interrupt+0x31/0x38
:[442661.008216]  [<c0437f1a>] ? native_safe_halt+0xa/0x10
:[442661.008222]  [<c04196dc>] ? default_idle+0x6c/0x1b0
:[442661.008229]  [<c0411488>] ? cpu_idle+0xa8/0xe0
:[442661.008234]  [<c091b4d5>] ? rest_init+0x5d/0x68
:[442661.008240]  [<c0bc679d>] ? start_kernel+0x357/0x35d
:[442661.008244]  [<c0bc61d7>] ? loglevel+0x2b/0x2b
:[442661.008248]  [<c0bc60ba>] ? i386_start_kernel+0xa9/0xaf

smolt_data:
:
:
:General
:=================================
:UUID: 680f9dc4-d012-44a9-a658-b5d2303d6f69
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5332.10
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Celeron(R) CPU 2.00GHz
:CPU Stepping: 9
:CPU Family: 15
:CPU Model Num: 2
:Number of CPUs: 1
:CPU Speed: 2000
:System Memory: 1002
:System Swap: 2015
:Vendor: System Manufacturer
:System: System Name System Version
:Form factor: Tower
:Kernel: 3.2.6-3.fc16.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4153:2304:4163:32935) pci, sis900, ETHERNET, Motherboard P4S800D-X
:(4153:2403:0:0) pci, None, PCI/ISA, SiS963 [MuTIOL Media IO]
:(4153:22:0:0) pci, sis96x_smbus, SERIAL, SiS961/2 SMBus Controller
:(4153:28673:4163:32903) pci, ohci_hcd, USB, USB 1.1 Controller
:(4153:21779:4163:32903) pci, pata_sis, STORAGE, 5513 [IDE]
:(4153:28690:4163:32944) pci, snd_intel8x0, MULTIMEDIA_AUDIO, C-Media AC'97 Sound Controller
:(4153:28673:4163:32903) pci, ohci_hcd, USB, USB 1.1 Controller
:(4318:272:0:0) pci, nouveau, VIDEO, NV11 [GeForce2 MX/MX 400]
:(4153:1608:4163:32902) pci, agpgart-sis, HOST/PCI, 645xx
:(4153:28674:4163:32903) pci, ehci_hcd, USB, USB 2.0 Controller
:(32902:4649:32902:4108) pci, e100, ETHERNET, EtherExpress PRO/100+ Server Adapter (PILA8470B)
:(4153:3:0:0) pci, None, PCI/PCI, SiS AGP Port (virtual PCI-to-PCI bridge)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_tulesein-lv_root / ext4 4096 4096 12573915 10994708 10364744 3153920 2987074 2987074
:/dev/sda2 /boot ext4 1024 1024 508745 412201 386601 128016 127789 127789
:/dev/mapper/vg_tulesein-lv_home /home ext4 4096 4096 6274378 6120697 5806125 1572864 1572226 1572226
:
Comment 1 Dave Jones 2012-05-14 15:56:24 EDT
*** Bug 819195 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2012-05-14 15:57:24 EDT
*** Bug 821361 has been marked as a duplicate of this bug. ***
Comment 3 Dave Jones 2012-05-22 21:21:52 EDT
*** Bug 823130 has been marked as a duplicate of this bug. ***
Comment 4 Dave Jones 2012-10-23 11:35:20 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 5 Justin M. Forbes 2012-11-14 10:32:39 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.